Bug 18696 - Change debian/source/format to quilt
Summary: Change debian/source/format to quilt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20072
  Show dependency treegraph
 
Reported: 2017-05-30 10:25 UTC by Mirko Tietgen
Modified: 2018-02-03 11:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18696: Change debian/source/format to quilt (729 bytes, patch)
2018-01-19 13:08 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2017-05-30 10:25:22 UTC
debian/source/format uses 'native'. As Koha is not native Debian software, and to allow Debian revision numbers like -2 in 16.05.13-2, it should be changed to 'quilt'.

This is only relevant to packaging and does not affect Koha itself.
Comment 1 Mirko Tietgen 2018-01-19 13:08:02 UTC
Created attachment 70743 [details] [review]
Bug 18696: Change debian/source/format to quilt

debian/source/format uses 'native'. As Koha is not native Debian software,
and to allow Debian revision numbers like -2 in 16.05.13-2, it should be
changed to 'quilt'.

This is only relevant to packaging and does not affect Koha itself.
Comment 2 Jonathan Druart 2018-01-19 18:58:16 UTC
Patch pushed to master for 18.05
Thanks Mirko!
Comment 3 Nick Clemens 2018-01-23 04:13:00 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 4 Fridolin SOMERS 2018-01-25 09:24:18 UTC
Pushed to 17.05.x for v17.05.09